rosdistro: 'melodic

  '
roslaunch:
  uris: {host_ssf__40271: 'http://ssf:40271/'}
rosserial_python: {baud: 250000, port: /dev/arduino}
rosversion: '1.14.3

  '
rqt_gui_cpp_node_4782:
  compressed: {mode: unchanged}
run_id: 899741ec-a2cd-11e9-8fad-b8aeed7f2670
ssf:
  BFS_usb_0:
    BFS_camera_manager: {num_worker_threads: 4}
    camera_nodelet: {acquisition_frame_rate: 10.0, acquisition_frame_rate_enable: false,
      acquisition_mode: Continuous, auto_exposure_time_lower_limit: 300, auto_exposure_time_upper_limit: 19000.0,
      auto_gain: 'Off', auto_sharpness: true, auto_white_balance: Continuous, brightness: 1.7,
      enable_trigger: 'On', exposure_auto: Continuous, exposure_mode: Timed, exposure_time: 100.0,
      frame_id: camera0, gain: 5.0, gain_selector: All, gamma: 1.0, gamma_enable: true,
      image_format_color_coding: BGR8, image_format_roi_height: 0, image_format_roi_width: 0,
      image_format_x_binning: 1, image_format_x_decimation: 1, image_format_x_offset: 0,
      image_format_y_binning: 1, image_format_y_decimation: 1, image_format_y_offset: 0,
      line_inverter: false, line_mode: Output, line_selector: Line2, line_source: ExposureActive,
      saturation: 100.0, saturation_enable: false, serial: 18575595, sharpening_enable: false,
      sharpening_threshold: 0.1, sharpness: 1024.0, trigger_activation_mode: FallingEdge,
      trigger_overlap_mode: ReadOut, trigger_selector: FrameStart, trigger_source: Line0,
      white_balance_blue_ratio: 800.0, white_balance_red_ratio: 550.0}
    compile_nodelet_0: {cam_fps: 3, img_pub_topic: /ssf/arduino_vi/image_raw, img_sub_topic: /ssf/BFS_usb_0/image_numbered,
      imu_offset_us: 19543}
    image_raw:
      compressed: {format: jpeg, jpeg_quality: 80, png_level: 9}
      compressedDepth: {depth_max: 10.0, depth_quantization: 100.0, png_level: 9}
      theora: {keyframe_frequency: 64, optimize_for: 1, quality: 31, target_bitrate: 800000}
  arduino_vi:
    image_raw:
      compressed: {format: jpeg, jpeg_quality: 80, png_level: 9}
      compressedDepth: {depth_max: 10.0, depth_quantization: 100.0, png_level: 9}
      theora: {keyframe_frequency: 64, optimize_for: 1, quality: 31, target_bitrate: 800000}
  arduino_vi_imu_receiver: {imu_acceleration_covariance: 0.043864908, imu_accelerator_sensitivity: 0.000833,
    imu_gyro_covariance: 6e-9, imu_gyro_sensitivity: 0.01, imu_pub_topic_: /ssf/arduino_vi/imu}
  dji_sdk: {align_time: true, app_id: 1071999, app_version: 1, baud_rate: 921600,
    enc_key: 9708cf424e01e6f77cf65e859004275b9140b8f6528cd15cfd5a986ff2c31088, serial_name: /dev/dji,
    use_broadcast: false}
  img_node: {capability_group: Lidar}
  os1_cloud_node: {capability_group: Lidar, enable_trim: true, hfov_trim: 179.0, vfov_trim: 125.0}
  os1_node: {capability_group: Lidar, lidar_mode: 1024x10, metadata: '', os1_hostname: 192.168.1.50,
    os1_imu_port: 7503, os1_lidar_port: 7502, os1_udp_dest: 192.168.1.1, replay: false}
  photonfocus_camera_nir_node:
    auto_exposure_target_avg: 1200
    calib_url: ''
    camera_name: photonfocus_camera_nir
    enable_auto_exposure: true
    exposure_time_ms: 1.0
    fps: 10.0
    frame_id: photonfocus_camera_nir
    identifier: 192.168.0.10
    image_raw:
      compressed: {format: jpeg, jpeg_quality: 80, png_level: 9}
      compressedDepth: {depth_max: 10.0, depth_quantization: 100.0, png_level: 9}
      theora: {keyframe_frequency: 64, optimize_for: 1, quality: 31, target_bitrate: 800000}
    triggered_mode: true
  photonfocus_camera_vis_node:
    auto_exposure_target_avg: 1000
    calib_url: ''
    camera_name: photonfocus_camera_vis
    enable_auto_exposure: true
    exposure_time_ms: 4.0
    fps: 10.0
    frame_id: photonfocus_camera_vis
    identifier: 192.168.2.11
    image_raw:
      compressed: {format: jpeg, jpeg_quality: 80, png_level: 9}
      compressedDepth: {depth_max: 10.0, depth_quantization: 100.0, png_level: 9}
      theora: {keyframe_frequency: 64, optimize_for: 1, quality: 31, target_bitrate: 800000}
    triggered_mode: true
  thermalgrabber_ros:
    disable_t_linear: false
    enable_t_linear_high_resolution: true
    enable_t_linear_low_resolution: false
    ffc_mode: 1
    image_color:
      compressed: {format: jpeg, jpeg_quality: 80, png_level: 9}
      compressedDepth: {depth_max: 10.0, depth_quantization: 100.0, png_level: 9}
      theora: {keyframe_frequency: 64, optimize_for: 1, quality: 31, target_bitrate: 800000}
    image_deg_celsius:
      compressed: {format: jpeg, jpeg_quality: 80, png_level: 9}
      compressedDepth: {depth_max: 10.0, depth_quantization: 100.0, png_level: 9}
      theora: {keyframe_frequency: 64, optimize_for: 1, quality: 31, target_bitrate: 800000}
    image_mono16:
      compressed: {format: jpeg, jpeg_quality: 80, png_level: 9}
      compressedDepth: {depth_max: 10.0, depth_quantization: 100.0, png_level: 9}
      theora: {keyframe_frequency: 64, optimize_for: 1, quality: 31, target_bitrate: 800000}
    image_mono8:
      compressed: {format: jpeg, jpeg_quality: 80, png_level: 9}
      compressedDepth: {depth_max: 10.0, depth_quantization: 100.0, png_level: 9}
      theora: {keyframe_frequency: 64, optimize_for: 1, quality: 31, target_bitrate: 800000}
    publish_16bit: true
    publish_16bit_numbered: true
    publish_8bit: true
    publish_degrees_celsius: true
    publish_false_color: true
    show_opencv_visualization: false
    verbose: false
